Package com.avaya.clientservices.call.feature

## Enum ServiceObservingError

- java.lang.Object
- - java.lang.Enum<ServiceObservingError>
  - - com.avaya.clientservices.call.feature.ServiceObservingError

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ServiceObservingError>`

      public enum ServiceObservingError
      extends java.lang.Enum<ServiceObservingError>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AGENT_BEING_COACHED` | Agent already being coached.
    `AGENT_STATE_NOT_COACHABLE` | Coaching can't be started as the agent is not in a valid state.
    `ALLOW_SERVICE_OBSERVING_CLASS_OF_RESTRICTION_DISABLED` | Service Observing denied as "allow Service Observing Class Of Restriction (COR) for SIP station" is not set to yes for an extension.
    `ALREADY_OBSERVED` | An observer is not allowed to activate service observing for a second observe.
    `ATTENDANT_CANNOT_OBSERVE` | An attendant is not allowed to activate service observing.
    `BEING_OBSERVED` | Attempted to initiate service observing from a station that is being observed by someone else.
    `BRIDGED_APPEARANCE` | A bridged appearance is not allowed to activate service observing.
    `CALL_ON_HOLD` | Agent has calls on hold.
    `CAN_NOT_CONTINUE_OBSERVING` | Observing session cancelled because of an action that is not allowed.
    `CANNOT_OBSERVE_YOURSELF` | Attempting to service observe your own extension or agent login ID.
    `COACHING_CANCELED_AGENT_LOGGED_OUT` | Agent logged out.
    `COACHING_CANCELED_AGENT_STATE_NOT_COACHABLE` | Coaching is canceled as the agent is moved in an invalid state.
    `COACHING_CANCELED_ALREADY_COACHED_CONNECTION` | Connected to an agent that is already being coached.
    `DATA_PRIVACY_ACTIVE` | Data Privacy is active for the extension.
    `DATA_RESTRICTION_ACTIVE` | Data Restriction is active for the extension.
    `DESTINATION_NOT_OBSERVABLE` | The observer is dropped from an observed connection (to extension or VDN) when the connection reaches an unobservable destination (e.g.
    `EXCLUSION_ACTIVE` | Extension has Exclusion Active.
    `EXTENSION_BEING_BUSY_VERIFIED` | Extension being busy-verified.
    `EXTENSION_HAS_SIX_PARTY_CONF` | Extension has a 6-party conference.
    `EXTENSION_IS_OBSERVER` | Extension is an observer.
    `GENERAL_ERROR` | General error.
    `INTERNAL_ERROR` | Internal error try again.
    `INVALID_AGENT_ID` | Invalid Agent Id.
    `INVALID_EXTENSION` | Invalid Extension.
    `LISTEN_ONLY_OPTION_ACTIVE` | Cannot change to another mode as the service observing station is configured to listen-only.
    `LOGICAL_ID_ALREADY_OBSERVED` | Physical extension with logical agent ID is already being observed
    `MAX_OBSERVERS_REACHED` | Maximum observers are already observing extension.
    `MAX_VECTOR_DIRECTORY_NUMBER_OBSERVED` | Maximum VDNs being observed.
    `MEET_ME_VECTOR_DIRECTORY_NUMBER` | Cannot observe a meet-me VDN.
    `MISSING_INFO` | One or more required entries missing.
    `NO_AVAIL_IDLE_CA` | No idle call appearance to connect to observed connection.
    `NO_TALK_OR_NO_CONNECTION_AVAIL` | Cannot change to coach mode because there is no observed connection or the No-Talk service observing type has been selected.
    `NOT_AUXILIARY` | Agent not in AUX Work.
    `NOT_OBSERVING_AGENT` | Cannot change to coach mode because there is no observed connection to an agent for VDN Observing not connected to an agent.
    `OBSERVEE_AGENT_NOT_LOGGED_IN` | Logical agent ID not logged in.
    `ON_CALL` | Agent connected to a call.
    `PHYSICAL_STATION_ALREADY_OBSERVED` | Logical agent ID with physical extension is already being observed.
    `RECEIVE_SERVICE_OBSERVING_CLASS_OF_RESTRICTION_DISABLED` | Service Observing denied as "receive Service Observing Class Of Restriction (COR)" is not set to yes for the extension.
    `SERVICE_OBSERVING_BY_LOCATION_INVALID_LOCATION` | Service Observing VDN By location entered is not a valid location number.
    `SERVICE_OBSERVING_BY_LOCATION_INVALID_VECTOR_DIRECTORY_NUMBER` | Service Observing VDN extension entered is not a valid VDN.
    `SERVICE_OBSERVING_CLASS_OF_SERVICE_RESTRICTION_MISMATCH` | Class Of Restriction (COR) Service Observing permissions mismatch.
    `TRANSFER_DIALTONE` | The observer is dropped from an observed connection when an attendant transfers the observed call to the automatic route selection (ARS) dial tone.
    `TRANSFER_NOT_OBSERVABLE` | The observer is dropped from an observed connection when the observee starts to do a transfer (presses the transfer button).
    `VECTOR_DIRECTORY_NUMBER_NOT_OPTIONED` | Observe VDNs not optioned.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ServiceObservingError` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ServiceObservingError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GENERAL_ERROR

          public static final ServiceObservingError GENERAL_ERROR

      General error.

    - #### INVALID_AGENT_ID

          public static final ServiceObservingError INVALID_AGENT_ID

      Invalid Agent Id.

    - #### INVALID_EXTENSION

          public static final ServiceObservingError INVALID_EXTENSION

      Invalid Extension.

    - #### OBSERVEE_AGENT_NOT_LOGGED_IN

          public static final ServiceObservingError OBSERVEE_AGENT_NOT_LOGGED_IN

      Logical agent ID not logged in.

    - #### PHYSICAL_STATION_ALREADY_OBSERVED

          public static final ServiceObservingError PHYSICAL_STATION_ALREADY_OBSERVED

      Logical agent ID with physical extension is already being observed.

    - #### LOGICAL_ID_ALREADY_OBSERVED

          public static final ServiceObservingError LOGICAL_ID_ALREADY_OBSERVED

      Physical extension with logical agent ID is already being observed

    - #### EXCLUSION_ACTIVE

          public static final ServiceObservingError EXCLUSION_ACTIVE

      Extension has Exclusion Active.

    - #### MAX_OBSERVERS_REACHED

          public static final ServiceObservingError MAX_OBSERVERS_REACHED

      Maximum observers are already observing extension.

    - #### EXTENSION_IS_OBSERVER

          public static final ServiceObservingError EXTENSION_IS_OBSERVER

      Extension is an observer.

    - #### EXTENSION_BEING_BUSY_VERIFIED

          public static final ServiceObservingError EXTENSION_BEING_BUSY_VERIFIED

      Extension being busy-verified.

    - #### EXTENSION_HAS_SIX_PARTY_CONF

          public static final ServiceObservingError EXTENSION_HAS_SIX_PARTY_CONF

      Extension has a 6-party conference.

    - #### VECTOR_DIRECTORY_NUMBER_NOT_OPTIONED

          public static final ServiceObservingError VECTOR_DIRECTORY_NUMBER_NOT_OPTIONED

      Observe VDNs not optioned.

    - #### MAX_VECTOR_DIRECTORY_NUMBER_OBSERVED

          public static final ServiceObservingError MAX_VECTOR_DIRECTORY_NUMBER_OBSERVED

      Maximum VDNs being observed.

    - #### SERVICE_OBSERVING_BY_LOCATION_INVALID_VECTOR_DIRECTORY_NUMBER

          public static final ServiceObservingError SERVICE_OBSERVING_BY_LOCATION_INVALID_VECTOR_DIRECTORY_NUMBER

      Service Observing VDN extension entered is not a valid VDN.

    - #### SERVICE_OBSERVING_BY_LOCATION_INVALID_LOCATION

          public static final ServiceObservingError SERVICE_OBSERVING_BY_LOCATION_INVALID_LOCATION

      Service Observing VDN By location entered is not a valid location number.

    - #### NO_TALK_OR_NO_CONNECTION_AVAIL

          public static final ServiceObservingError NO_TALK_OR_NO_CONNECTION_AVAIL

      Cannot change to coach mode because there is no observed connection or the No-Talk service observing type has been selected.

    - #### NO_AVAIL_IDLE_CA

          public static final ServiceObservingError NO_AVAIL_IDLE_CA

      No idle call appearance to connect to observed connection.

    - #### TRANSFER_DIALTONE

          public static final ServiceObservingError TRANSFER_DIALTONE

      The observer is dropped from an observed connection when an attendant transfers the observed call to the automatic route selection (ARS) dial tone.

    - #### TRANSFER_NOT_OBSERVABLE

          public static final ServiceObservingError TRANSFER_NOT_OBSERVABLE

      The observer is dropped from an observed connection when the observee starts to do a transfer (presses the transfer button).

    - #### DESTINATION_NOT_OBSERVABLE

          public static final ServiceObservingError DESTINATION_NOT_OBSERVABLE

      The observer is dropped from an observed connection (to extension or VDN) when the connection reaches an unobservable destination (e.g. not allowed to observe Class Of Restriction (COR)).

    - #### CAN_NOT_CONTINUE_OBSERVING

          public static final ServiceObservingError CAN_NOT_CONTINUE_OBSERVING

      Observing session cancelled because of an action that is not allowed. (e.g. hold of Service Observing CA) or CM cancelled a logged in agent session (forced log out or Interruptible Aux notification, etc.)

    - #### BEING_OBSERVED

          public static final ServiceObservingError BEING_OBSERVED

      Attempted to initiate service observing from a station that is being observed by someone else.

    - #### ATTENDANT_CANNOT_OBSERVE

          public static final ServiceObservingError ATTENDANT_CANNOT_OBSERVE

      An attendant is not allowed to activate service observing.

    - #### ALREADY_OBSERVED

          public static final ServiceObservingError ALREADY_OBSERVED

      An observer is not allowed to activate service observing for a second observe.

    - #### CANNOT_OBSERVE_YOURSELF

          public static final ServiceObservingError CANNOT_OBSERVE_YOURSELF

      Attempting to service observe your own extension or agent login ID.

    - #### MEET_ME_VECTOR_DIRECTORY_NUMBER

          public static final ServiceObservingError MEET_ME_VECTOR_DIRECTORY_NUMBER

      Cannot observe a meet-me VDN.

    - #### NOT_AUXILIARY

          public static final ServiceObservingError NOT_AUXILIARY

      Agent not in AUX Work.

    - #### ON_CALL

          public static final ServiceObservingError ON_CALL

      Agent connected to a call.

    - #### CALL_ON_HOLD

          public static final ServiceObservingError CALL_ON_HOLD

      Agent has calls on hold.

    - #### AGENT_BEING_COACHED

          public static final ServiceObservingError AGENT_BEING_COACHED

      Agent already being coached.

    - #### COACHING_CANCELED_ALREADY_COACHED_CONNECTION

          public static final ServiceObservingError COACHING_CANCELED_ALREADY_COACHED_CONNECTION

      Connected to an agent that is already being coached.

    - #### NOT_OBSERVING_AGENT

          public static final ServiceObservingError NOT_OBSERVING_AGENT

      Cannot change to coach mode because there is no observed connection to an agent for VDN Observing not connected to an agent.

    - #### AGENT_STATE_NOT_COACHABLE

          public static final ServiceObservingError AGENT_STATE_NOT_COACHABLE

      Coaching can't be started as the agent is not in a valid state.

    - #### COACHING_CANCELED_AGENT_STATE_NOT_COACHABLE

          public static final ServiceObservingError COACHING_CANCELED_AGENT_STATE_NOT_COACHABLE

      Coaching is canceled as the agent is moved in an invalid state.

    - #### COACHING_CANCELED_AGENT_LOGGED_OUT

          public static final ServiceObservingError COACHING_CANCELED_AGENT_LOGGED_OUT

      Agent logged out.

    - #### LISTEN_ONLY_OPTION_ACTIVE

          public static final ServiceObservingError LISTEN_ONLY_OPTION_ACTIVE

      Cannot change to another mode as the service observing station is configured to listen-only.

    - #### ALLOW_SERVICE_OBSERVING_CLASS_OF_RESTRICTION_DISABLED

          public static final ServiceObservingError ALLOW_SERVICE_OBSERVING_CLASS_OF_RESTRICTION_DISABLED

      Service Observing denied as "allow Service Observing Class Of Restriction (COR) for SIP station" is not set to yes for an extension.

    - #### RECEIVE_SERVICE_OBSERVING_CLASS_OF_RESTRICTION_DISABLED

          public static final ServiceObservingError RECEIVE_SERVICE_OBSERVING_CLASS_OF_RESTRICTION_DISABLED

      Service Observing denied as "receive Service Observing Class Of Restriction (COR)" is not set to yes for the extension.

    - #### SERVICE_OBSERVING_CLASS_OF_SERVICE_RESTRICTION_MISMATCH

          public static final ServiceObservingError SERVICE_OBSERVING_CLASS_OF_SERVICE_RESTRICTION_MISMATCH

      Class Of Restriction (COR) Service Observing permissions mismatch.

    - #### DATA_RESTRICTION_ACTIVE

          public static final ServiceObservingError DATA_RESTRICTION_ACTIVE

      Data Restriction is active for the extension.

    - #### DATA_PRIVACY_ACTIVE

          public static final ServiceObservingError DATA_PRIVACY_ACTIVE

      Data Privacy is active for the extension.

    - #### MISSING_INFO

          public static final ServiceObservingError MISSING_INFO

      One or more required entries missing.

    - #### BRIDGED_APPEARANCE

          public static final ServiceObservingError BRIDGED_APPEARANCE

      A bridged appearance is not allowed to activate service observing.

    - #### INTERNAL_ERROR

          public static final ServiceObservingError INTERNAL_ERROR

      Internal error try again.

  - ### Method Detail

    - #### values

          public static ServiceObservingError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServiceObservingError c : ServiceObservingError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServiceObservingError valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null